Skip to main content
GET
List Tms Share Agreements

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

tms_account_id
string<uuid> | null

Limit results to specific TMS account

tms_share_agreement_status
enum<string> | null

Limit results to specific TMS Share Agreement status Enum for TMS share agreement status

Available options:
active,
deleted
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
TmsShareAgreementRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page